For the complete documentation index, see llms.txt. This page is also available as Markdown.

List auction item bids

Returns a paginated list of bids placed on a single auction item, ordered by amount from highest to lowest.

get
Authorizations
AuthorizationstringRequired

You can retrieve your token by visiting Settings > API and clicking Generate Public Token.

Path parameters
idstringRequired

The auction item ID.

Example: 1c6af60by54hzdmgxy5ab4ypw0
Query parameters
perPageinteger · min: 1 · max: 100Optional

Results per page (1–100).

fields[bids]stringOptional

Available values are amount, submittedAt, placedAt, automatic. You can include multiple values by separating them with a comma.

fields[customers]stringOptional

Available values are name, firstName, lastName, externalId, email, registeredAt, approvedAt, bannedAt, createdAt. You can include multiple values by separating them with a comma.

includestringOptional

Comma-separated list of related resources to include in the response. Available values: customer.

Responses
200

Paginated set of BidResource

application/vnd.api+json
get/auction-items/{id}/bids
GET /v1/auction-items/{id}/bids HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "g7zhxbsypn5114bhr40atqf0c0",
      "type": "bids",
      "attributes": {
        "amount": {
          "value": 5000,
          "major": "50.00",
          "display": "$50.00",
          "currency": "USD"
        },
        "submittedAt": "2026-09-24T19:46:41.000000Z",
        "placedAt": "2026-09-24T19:46:41.031621Z",
        "automatic": false
      },
      "relationships": {
        "customer": {
          "data": {
            "type": "customers",
            "id": "text"
          }
        }
      }
    }
  ],
  "meta": {
    "currentPage": 1,
    "from": null,
    "lastPage": 1,
    "perPage": 1,
    "to": null,
    "total": 1
  }
}

Last updated